## org.apache.http.conn.params
Interface ConnManagerPNames

All Known Subinterfaces:
  AllClientPNames

All Known Implementing Classes:
  ConnManagerParams

Deprecated.

    @Deprecated
    public interface ConnManagerPNames

Parameter names for connection managers in HttpConn.

Since:
  4.0

Field Summary
`static String` `MAX_CONNECTIONS_PER_ROUTE` Deprecated. use `ThreadSafeClientConnManager.setMaxForRoute(org.apache.http.conn.routing.HttpRoute, int)`, `ThreadSafeClientConnManager.getMaxForRoute(org.apache.http.conn.routing.HttpRoute)`
`static String` `MAX_TOTAL_CONNECTIONS` Deprecated. use `ThreadSafeClientConnManager.setMaxTotal(int)`, `ThreadSafeClientConnManager.getMaxTotal()`
`static String` `TIMEOUT` Deprecated. use `CoreConnectionPNames.CONNECTION_TIMEOUT`

Field Detail

### TIMEOUT

    @Deprecated
    static final String TIMEOUT

  Deprecated. use `CoreConnectionPNames.CONNECTION_TIMEOUT`
  Defines the timeout in milliseconds used when retrieving an instance of `ManagedClientConnection` from the `ClientConnectionManager`.

  This parameter expects a value of type `Long`.

  See Also:
    Constant Field Values

### MAX_CONNECTIONS_PER_ROUTE

    @Deprecated
    static final String MAX_CONNECTIONS_PER_ROUTE

  Deprecated. use `ThreadSafeClientConnManager.setMaxForRoute(org.apache.http.conn.routing.HttpRoute, int)`, `ThreadSafeClientConnManager.getMaxForRoute(org.apache.http.conn.routing.HttpRoute)`
  Defines the maximum number of connections per route. This limit is interpreted by client connection managers and applies to individual manager instances.

  This parameter expects a value of type `ConnPerRoute`.

  See Also:
    Constant Field Values

### MAX_TOTAL_CONNECTIONS

    @Deprecated
    static final String MAX_TOTAL_CONNECTIONS

  Deprecated. use `ThreadSafeClientConnManager.setMaxTotal(int)`, `ThreadSafeClientConnManager.getMaxTotal()`
  Defines the maximum number of connections in total. This limit is interpreted by client connection managers and applies to individual manager instances.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.